Endpoint Examples

/meta

Get info on taxonomies, available data years, and attribution.

GET /meta

Get service metadata, including taxonomies, available years of data (first and last year in which any available profiles were updated), and attribution text. Caching is encouraged, but the metadata may change weekly.

Query Parameters

NameTypeDescription
area_versionenumSpecify US Area taxonomy version to use.
This parameter is optional.
Default: us_area_2024_4
Must be one of: us_area_2024_3, us_area_2024_4
soc_versionenumSpecify SOC taxonomy version to use.
This parameter is optional.
Default: soc_2021
Must be one of: soc_2021
title_versionenum

Specify Job Title taxonomy version to use.
This parameter is optional.

Default: emsi
Must be one of:emsi

cip_versionenum

Specify CIP taxonomy version to use.
This parameter is optional.

Default: cip2010
Must be one of: cip2010, cip2020

company_versionenum

Specify company taxonomy version to use.

This parameter is optional.

Default: emsi_company

Must be one of: emsi_company

onet_versionenum

Specify ONET taxonomy version to use.
This parameter is optional.

Default: onet_2019

Must be one of: onet_2019

naics_versionenum

Specify NAICS taxonomy version to use.
This parameter is optional.

Default: naics_std_2022
Must be one of: naics_std_2022

new_taxonomy_versionsenumUse new taxonomy versions.
This parameter is optional.
Must be one of: true, false
area_us_versionenumSpecify US Area taxonomy version to use.
This parameter is optional.
Default: 1.0.3
Must be one of: 1.0.2, 1.0.3
soc_lightcast_versionenum

Specify SOC Lightcast taxonomy version to use.
This parameter is optional.
Default: 2018.2021.0

Must be one of: 2018.2021.0

onet_standard_versionenum

Specify ONET Standard taxonomy version to use.
This parameter is optional.
Default: 2019.0.0

Must be one of: 2019.0.0

lot_versionenumSpecify LOT taxonomy version to use.
This parameter is optional.
Default: 7
Must be one of: 7, 6

Code Examples

curl --request GET \
  --url https://api.lightcast.io/profiles/meta \
  --header 'Authorization: Bearer <ACCESS_TOKEN>'

Response Examples

{
  "data": {
    "attribution": {
      "body": "Lightcast profiles are collected from various public online sources and processed/enriched to provide information such as standardized company name, occupation, skills, and geography. Lightcast performs additional filtering and processing to improve compatibility with Lightcast data.",
      "title": "Lightcast Profiles"
    },
    "earliest_year": "2018",
    "facets": [
      "certifications",
      "certifications_name",
      "cip2",
      "cip2_name",
      "cip4",
      "cip4_name",
      "cip6",
      "cip6_name",
      "city",
      "city_name",
      "common_skills",
      "common_skills_name",
      "company",
      "company_name",
      "county",
      "county_name",
      "edulevels",
      "edulevels_name",
      "employee_count_range",
      "estimated_wage_p25",
      "estimated_wage_p50",
      "estimated_wage_p75",
      "fips",
      "fips_name",
      "gender",
      "gender_name",
      "grad_year",
      "is_fortune100",
      "is_fortune1000",
      "is_fortune500",
      "laa_admin_area_1",
      "laa_admin_area_1_name",
      "laa_admin_area_2",
      "laa_admin_area_2_name",
      "laa_country",
      "laa_country_name",
      "laa_metro",
      "laa_metro_name",
      "lot_career_area",
      "lot_career_area_name",
      "lot_occupation",
      "lot_occupation_group",
      "lot_occupation_group_name",
      "lot_occupation_name",
      "lot_specialized_occupation",
      "lot_specialized_occupation_name",
      "max_edulevels",
      "max_edulevels_name",
      "most_recent_company",
      "most_recent_company_end_date",
      "most_recent_company_start_date",
      "moves_in_most_recent_company",
      "moves_in_previous_company",
      "msa",
      "msa_name",
      "naics2",
      "naics2_name",
      "naics3",
      "naics3_name",
      "naics4",
      "naics4_name",
      "naics5",
      "naics5_name",
      "naics6",
      "naics6_name",
      "onet",
      "onet_name",
      "previous_company",
      "previous_company_end_date",
      "previous_company_start_date",
      "revenue_bucket",
      "schools",
      "schools_ipeds",
      "schools_name",
      "skill_categories",
      "skill_categories_name",
      "skill_subcategories",
      "skill_subcategories_name",
      "skills",
      "skills_name",
      "soc2",
      "soc2_name",
      "soc3",
      "soc3_name",
      "soc4",
      "soc4_name",
      "soc5",
      "soc5_name",
      "software_skills",
      "software_skills_name",
      "specialized_skills",
      "specialized_skills_name",
      "state",
      "state_name",
      "title",
      "title_name",
      "years_in_current_role",
      "years_of_experience_in_occupation",
      "years_of_work_history",
      "years_with_most_recent_company",
      "years_with_previous_company"
    ],
    "filters": [
      "city",
      "city_name",
      "company",
      "company_name",
      "county",
      "county_name",
      "educations",
      "educations.cip2",
      "educations.cip2_name",
      "educations.cip4",
      "educations.cip4_name",
      "educations.cip6",
      "educations.cip6_name",
      "educations.edulevels",
      "educations.edulevels_name",
      "educations.grad_year",
      "educations.grad_year.end",
      "educations.grad_year.start",
      "educations.schools",
      "educations.schools_ipeds",
      "educations.schools_name",
      "employee_count_range",
      "estimated_wage_p25",
      "estimated_wage_p25.include_missing",
      "estimated_wage_p25.lower_bound",
      "estimated_wage_p25.upper_bound",
      "estimated_wage_p50",
      "estimated_wage_p50.include_missing",
      "estimated_wage_p50.lower_bound",
      "estimated_wage_p50.upper_bound",
      "estimated_wage_p75",
      "estimated_wage_p75.include_missing",
      "estimated_wage_p75.lower_bound",
      "estimated_wage_p75.upper_bound",
      "fips",
      "fips_name",
      "gender",
      "gender_name",
      "is_fortune100",
      "is_fortune1000",
      "is_fortune500",
      "keywords",
      "keywords.current_job_only",
      "keywords.query",
      "keywords.type",
      "last_updated",
      "last_updated.end",
      "last_updated.start",
      "lot_career_area",
      "lot_career_area_name",
      "lot_occupation",
      "lot_occupation_group",
      "lot_occupation_group_name",
      "lot_occupation_name",
      "lot_specialized_occupation",
      "lot_specialized_occupation_name",
      "max_edulevels",
      "max_edulevels_name",
      "most_recent_company",
      "most_recent_company_end_date",
      "most_recent_company_end_date.lower_bound",
      "most_recent_company_end_date.upper_bound",
      "most_recent_company_start_date",
      "most_recent_company_start_date.lower_bound",
      "most_recent_company_start_date.upper_bound",
      "most_recent_company_start_date",
      "moves_in_most_recent_company",
      "moves_in_most_recent_company.include_missing",
      "moves_in_most_recent_company.lower_bound",
      "moves_in_most_recent_company.upper_bound",
      "moves_in_previous_company",
      "moves_in_previous_company.include_missing",
      "moves_in_previous_company.lower_bound",
      "moves_in_previous_company.upper_bound",
      "msa",
      "msa_name",
      "naics2",
      "naics2_name",
      "naics3",
      "naics3_name",
      "naics4",
      "naics4_name",
      "naics5",
      "naics5_name",
      "naics6",
      "naics6_name",
      "onet",
      "onet_name",
      "personal_info",
      "personal_info.name",
      "personal_info.first_name",
      "personal_info.last_name",
      "personal_info.has_phone",
      "personal_info.phone",
      "personal_info.phone_type_name",
      "personal_info.has_email",
      "personal_info.email",
      "personal_info.email_type_name",
      "personal_info.profile_url_source_name",
      "previous_company",
      "previous_company_end_date",
      "previous_company_end_date.lower_bound",
      "previous_company_end_date.upper_bound",
      "previous_company_start_date",
      "previous_company_start_date.lower_bound",
      "previous_company_start_date.upper_bound",
      "revenue_bucket",
      "skill_categories",
      "skill_categories_name",
      "skill_subcategories",
      "skill_subcategories_name",
      "skills",
      "skills_name",
      "soc2",
      "soc2_name",
      "soc3",
      "soc3_name",
      "soc4",
      "soc4_name",
      "soc5",
      "soc5_name",
      "state",
      "state_name",
      "title",
      "title_name",
      "years_in_current_role",
      "years_in_current_role.include_missing",
      "years_in_current_role.lower_bound",
      "years_in_current_role.upper_bound",
      "years_of_experience_in_occupation",
      "years_of_experience_in_occupation.include_missing",
      "years_of_experience_in_occupation.lower_bound",
      "years_of_experience_in_occupation.upper_bound",
      "years_of_work_history",
      "years_of_work_history.include_missing",
      "years_of_work_history.lower_bound",
      "years_of_work_history.upper_bound",
      "years_with_most_recent_company",
      "years_with_most_recent_company.include_missing",
      "years_with_most_recent_company.lower_bound",
      "years_with_most_recent_company.upper_bound",
      "years_with_previous_company",
      "years_with_previous_company.include_missing",
      "years_with_previous_company.lower_bound",
      "years_with_previous_company.upper_bound"
    ],
    "latest_year": "2025",
    "metrics": [
      "estimated_wage_p50",
      "median_moves_in_most_recent_company",
      "median_years_in_current_role",
      "median_years_of_experience_in_occupation",
      "median_years_with_most_recent_company",
      "profiles",
      "significance",
      "unique_companies",
      "unique_schools"
    ],
    "pipelineVersion": "2025-08-FIX",
    "supportsAdvancedFilters": true,
    "taxonomies": {
      "area": "us_area_2024_4",
      "cip": "cip2020",
      "company": "emsi-company_v2.81.0",
      "industry": "naics_std_2022",
      "lot": "7",
      "naics": "naics_std_2022",
      "onet": "onet25_emsi",
      "skills": "skillsv9.33",
      "soc": "soc_2021",
      "title": "emsi_title_v5.47"
    },
    "taxonomy_versions": {
      "area": [
        "us_area_2024_4",
        "us_area_2024_3"
      ],
      "cip": [
        "cip2020",
        "cip2010"
      ],
      "company": [
        "emsi_company"
      ],
      "lot": [
        "7",
        "6"
      ],
      "naics": [
        "naics_std_2022"
      ],
      "onet": [
        "onet_2019"
      ],
      "soc": [
        "soc_2021"
      ],
      "title": [
        "emsi"
      ]
    }
  }
}